%define module	Class-Autouse
%define name	perl-%{module}
%define version	1.29
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Run-time class loading on first method call in Perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Class/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Class::Autouse allows you to specify a class that will only load when a method
of that class is called. For large classes that might not be used during the
running of a program, such as Date::Manip, this can save you large amounts of
memory, and decrease the script load time.

%prep
%setup -q -n %{module}-%{version}

%build
find lib -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*




%changelog
* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.1
+ Revision: 110280
- update to new version 1.29

* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.28-1mdv2008.0
+ Revision: 56128
- update to new version 1.28


* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 1.27-1mdv2007.0
+ Revision: 85430
- 1.27
- Import perl-Class-Autouse

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdk
- New release 1.26
- spec cleanup
- fix directory ownership
- better source URL

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.25-1mdk
- New release 1.25

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-1mdk
- 1.24
- Fix perms

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.21-1mdk
- New release 1.21

* Sat Aug 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-1mdk
- 1.20

* Tue Mar 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.17-1mdk
- Initial MDK release.

